package wanijo.wanijo2.domain

import org.springframework.data.annotation.Id
import org.springframework.data.relational.core.mapping.Table
import java.time.ZonedDateTime

@Table("T_LABEL_FIELD")
data class LabelField(
    @Id
    val id: Long = 0,
    val order: Int = 0,
    val name: String,
    val value: String = "",
    val updatedAt: ZonedDateTime = ZonedDateTime.now(),
    val createdAt: ZonedDateTime = ZonedDateTime.now(),
)

@Table("T_DATE_FIELD")
data class DateField(
    @Id
    val id: Long = 0,
    val order: Int = 0,
    val name: String,
    val value: ZonedDateTime,
    val updatedAt: ZonedDateTime = ZonedDateTime.now(),
    val createdAt: ZonedDateTime = ZonedDateTime.now(),
)
