package wanijo.wanijo2.http.controller

import org.springframework.stereotype.Controller
import org.springframework.ui.Model
import org.springframework.ui.set
import org.springframework.web.bind.annotation.GetMapping
import wanijo.wanijo2.domain.DocumentDao

@Controller
class ListController(
    private val docDao: DocumentDao
) {

    @GetMapping("", "/")
    fun list(
        model: Model
    ): String {
        model["documents"] = docDao.findAll()
        return "list"
    }

}
